/// <reference types="node" />
export declare class MissingTransactionProof extends Error {
    constructor(proofHash: Buffer, fetchedTxHash: Buffer);
}
export declare class DifferentNumberOfSignersException extends Error {
    constructor(length: number, comparableLength: number);
}
export declare class SignatureException extends Error {
    constructor(signer: Buffer);
}
export declare class ProofRidException extends Error {
    constructor();
}
export declare class CanNotFindTxException extends Error {
    constructor();
}
export declare class SystemChainException extends Error {
    constructor(errorMessage: string);
}
